﻿<MudDialog>
    <DialogContent>
        <MudText>@ContentText</MudText>
    </DialogContent>
    <DialogActions>
        <MudText>@Common.Spacer(85)</MudText>
        <MudButton Color="Color.Secondary" Variant="Variant.Filled" Disabled="@IsProcessing" OnClick="OnCancelButton">
            @if (IsCanceling)
            {
                <MudProgressCircular Class="ms-n1" Size="Size.Small" Indeterminate="true" />
            }
            <MudText Class="mas-2">@CancelButtonText</MudText>
        </MudButton>
        <MudButton Color="Color.Primary" Variant="Variant.Filled" Disabled="@IsProcessing" OnClick="OnAcceptButton">
            @if (IsAccepting)
            {
                <MudProgressCircular Class="ms-n1" Size="Size.Small" Indeterminate="true" />
            }
            <MudText Class="mas-2">@AcceptButtonText</MudText>
        </MudButton>
    </DialogActions>
</MudDialog>